from machine import UART
import time
import binascii
import uasyncio



async def start_radar():
    uart = UART(1, baudrate=256000, tx=21, rx=20)
    lastCmd = ""
    NO_PEOPLE = "NO PEOPLE"
    while True:
        toread = uart.any()
        if (toread > 0):
            d = bytearray(toread) 
            uart.readinto(d)
            result = binascii.hexlify(d).decode()
            #print("radar %s",result)
            #print("radar %s",toread)
            if (result.startswith("f4f3f2f1")):
                mode = result[12:16]
                if (mode == "02aa"):
                    target_result = ""
                    stillormove = result[16:18]
                    if (stillormove == "00"):
                        target_result = NO_PEOPLE
                    elif (stillormove == "01"):
                        target_result = "MOVING"
                    elif (stillormove == "02"):
                        target_result = "STILL"
                    else :
                        target_result = "STILL & MOVE"
                    
                    space = int(result[18:20],16)
                    
                    html_result = "Radar detect: " + target_result
                    if (target_result != NO_PEOPLE):
                        html_result = html_result +  " distance: " +  str(space) + " cm"
                        if (lastCmd != html_result):
                            lastCmd = html_result 
                            print(html_result)
                    else:
                        if (lastCmd != NO_PEOPLE):
                            lastCmd = NO_PEOPLE
                            print(html_result)
                    
                    
            
        await uasyncio.sleep_ms(1000)


