from machine import UART
import time
import binascii
import asyncio
import sys
import select
import os
import machine

   

async def start(ws2812,radar_task,led_task):
    while True:
        while sys.stdin in select.select([sys.stdin], [], [], 0)[0]:
            _line = sys.stdin.readline()
            if _line:
                line = _line.strip().lower()
                line = line.replace('\\r', '')
                line = line.replace('\\n', '')
                print("got ",line)
                if(line == "exit" or line == "quit"):
                    started = False
                    print("got exit message [{}]".format(started))
                elif (line == 'removebootpy'):
                    print("try resetting boot")
                    print(os.remove('main.py'))
                    print(os.remove('boot.py'))
                    machine.reset()
                else:
                  if line.startswith('mode'):
                    datas = line.split(';')  
                    mode = datas[0].split(':')[1]
                    c1 = datas[1].split(':')[1]
                    c2 = datas[1].split(':')[2]
                    c3 = datas[1].split(':')[3]
                    tc1 = tuple(int(num) for num in c1.replace('(', '').replace(')', '').replace('...', '').split(','))
                    tc2 = tuple(int(num) for num in c2.replace('(', '').replace(')', '').replace('...', '').split(','))
                    tc3 = tuple(int(num) for num in c3.replace('(', '').replace(')', '').replace('...', '').split(','))
                    led_count = datas[2].split(":")[1]
                    ws2812.pause()
                    ws2812.init_new(10,int(led_count))
                    ws2812.set_colors_all(tc1,tc2,tc3)
                    ws2812.set_mode_strip(mode)
                    ws2812.start()
                    ws2812.resume()
        await asyncio.sleep(1)          


